### org.jfree.layouting.renderer.process

# Class TableRowHeightStep

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.IterateVisualProcessStep`
  - - `org.jfree.layouting.renderer.process.TableRowHeightStep`

`public class TableRowHeightStep`
`extends IterateVisualProcessStep`

Creation-Date: 10.10.2006, 14:10:08

Author:
  Thomas Morgner

  ## Nested Class Summary

  `static class`

  `TableRowHeightStep.TableInfoStructure`

  ## Constructor Summary

  `TableRowHeightStep()`

  ## Method Summary

  `void`

  `compute(LogicalPageBox box)`

  `protected void`

  `finishBlockLevelBox(RenderBox box)`

  `protected void`

  `finishSection(TableSectionRenderBox section)`

  `protected void`

  `processBlockLevelNode(RenderNode node)`

  `protected void`

  `processInlineLevelNode(RenderNode node)`

  `protected void`

  `processParagraphChilds(ParagraphRenderBox box)`

  `protected boolean`

  `startBlockLevelBox(RenderBox box)`

  `protected boolean`

  `startInlineLevelBox(RenderBox box)`

  ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

  `finishBlockLevelBox`, `finishInlineLevelBox`, `processBlockLevelChild`, `processBlockLevelNode`, `processBoxChilds`, `processFlow`, `processInlineLevelChild`, `processInlineLevelNode`, `processOtherLevelChild`, `processParagraphChilds`, `startBlockLevelBox`, `startInlineLevelBox`, `startProcessing`

## Constructor Details

### TableRowHeightStep

    public TableRowHeightStep()

## Method Details

### compute

    public void compute(LogicalPageBox box)

### finishBlockLevelBox

    protected void finishBlockLevelBox(RenderBox box)

> Overrides:
>   finishBlockLevelBox in interface IterateVisualProcessStep

### finishSection

    protected void finishSection(TableSectionRenderBox section)

### processBlockLevelNode

    protected void processBlockLevelNode(RenderNode node)

> Overrides:
>   processBlockLevelNode in interface IterateVisualProcessStep

### processInlineLevelNode

    protected void processInlineLevelNode(RenderNode node)

> Overrides:
>   processInlineLevelNode in interface IterateVisualProcessStep

### processParagraphChilds

    protected void processParagraphChilds(ParagraphRenderBox box)

> Overrides:
>   processParagraphChilds in interface IterateVisualProcessStep

### startBlockLevelBox

    protected boolean startBlockLevelBox(RenderBox box)

> Overrides:
>   startBlockLevelBox in interface IterateVisualProcessStep

### startInlineLevelBox

    protected boolean startInlineLevelBox(RenderBox box)

> Overrides:
>   startInlineLevelBox in interface IterateVisualProcessStep